<?php

namespace app\model;


use app\util\Util;
use config\constants\Constants;
use support\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Customer extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'customer';

    /**
     * The primary key associated with the table.
     *
     * @var string
     */
    protected $primaryKey = 'id';

    //设置黑名单
    protected $guarded = ['id','created_at','updated_at'];

    // 指定日期字段存储格式为时间戳
    protected $dateFormat = 'U';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = true;

    protected $casts = [
//        'updated_at' => 'datetime:Y-m-d H:i:s', // 指定序列化格式
//        'created_at' => 'datetime:Y-m-d H:i:s', // 指定序列化格式
        'updated_at' => 'timestamp', // 指定序列化格式
        'created_at' => 'timestamp', // 指定序列化格式
    ];

    public static function getCustomer($customer)
    {
        $customer['grade_txt'] = Constants::GRADE[$customer['grade']];
        $customer['magnitude_txt'] = Constants::MAGNITUDE[$customer['magnitude']];

        if ($customer['grade']<=2) {
            $customer['follow'] = 0;
            $customer['follow_txt'] = '跟进中';
        }elseif ($customer['grade']<=5) {
            $customer['follow'] = 1;
            $customer['follow_txt'] = '已成交';
        }else{
            $customer['follow'] = 2;
            $customer['follow_txt'] = '已流失';
        }

        $where = [
            'customer_id' => $customer['id']
        ];
        $begin_follow = Follow::select('id','created_at','updated_at')
            ->where($where)
            ->min('created_at');
        $customer['begin_follow'] = $begin_follow;
//        $customer['last_follow'] = $last_follow;

        return $customer;
    }
}