<?php

namespace app\model;


use config\constants\Constants;
use support\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Follow extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'follow';

    /**
     * The primary key associated with the table.
     *
     * @var string
     */
    protected $primaryKey = 'id';

    //设置黑名单
    protected $guarded = ['id','created_at','updated_at'];

    // 指定日期字段存储格式为时间戳
    protected $dateFormat = 'U';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = true;

    protected $casts = [
//        'updated_at' => 'datetime:Y-m-d H:i:s', // 指定序列化格式
//        'created_at' => 'datetime:Y-m-d H:i:s', // 指定序列化格式
        'updated_at' => 'timestamp', // 指定序列化格式
        'created_at' => 'timestamp', // 指定序列化格式
    ];

    public static function getFollow($follow)
    {
        $follow['type_txt'] = Constants::FOLLOW[$follow['type']];
        return $follow;
    }
}